Subject: Re: [PATCH net-next] net: phylink: require supported_interfaces to be filled

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 22 Nov 2023 09:27:12 +0000

On Wed, Nov 22, 2023 at 02:12:44PM +1000, Greg Ungerer wrote:
> So I am thinking that something like this actually makes more sense now:
> 
> --- a/drivers/net/dsa/mv88e6xxx/chip.c
> +++ b/drivers/net/dsa/mv88e6xxx/chip.c
> @@ -577,6 +577,18 @@ static void mv88e6250_phylink_get_caps(struct mv88e6xxx_chip *chip, int port,
>         config->mac_capabilities = MAC_SYM_PAUSE | MAC_10 | MAC_100;
>  }
> +static void mv88e6350_phylink_get_caps(struct mv88e6xxx_chip *chip, int port,
> +                                      struct phylink_config *config)
> +{
> +       unsigned long *supported = config->supported_interfaces;
> +
> +       /* Translate the default cmode */
> +       mv88e6xxx_translate_cmode(chip->ports[port].cmode, supported);
> +
> +       config->mac_capabilities = MAC_SYM_PAUSE | MAC_10 | MAC_100 |
> +                                  MAC_1000FD;
> +}
> +

Looks sensible to me - but I do notice that a black line has been lost
between mv88e6250_phylink_get_caps() and your new function - probably
down to your email client being stupid with whitespace because it's
broken the patch context. Just be aware of that when you come to send
the patch for real.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!